Create Conversation
Creates a new conversation with the data provided
POST
/
conversations
Create Conversation
curl --request POST \
--url https://services.leadconnectorhq.com/conversations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "tDtDnQdgm2LXpyiqYvZ6",
"contactId": "tDtDnQdgm2LXpyiqYvZ6"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({locationId: 'tDtDnQdgm2LXpyiqYvZ6', contactId: 'tDtDnQdgm2LXpyiqYvZ6'})
};
fetch('https://services.leadconnectorhq.com/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversations"
payload = {
"locationId": "tDtDnQdgm2LXpyiqYvZ6",
"contactId": "tDtDnQdgm2LXpyiqYvZ6"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"conversation": {
"id": "tDtDnQdgm2LXpyiqYvZ6",
"dateUpdated": "2023-10-01T12:00:00Z",
"dateAdded": "2023-10-01T12:00:00Z",
"deleted": false,
"contactId": "ve9EPM428kjkvShlRW1KT",
"locationId": "ve9EPM428kjkvShlRW1KT",
"lastMessageDate": "2023-10-01T12:00:00Z",
"assignedTo": "ve9EPM428kjkvShlRW1KT"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Body
application/json
Last modified on March 8, 2026
Was this page helpful?
Create Conversation
curl --request POST \
--url https://services.leadconnectorhq.com/conversations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "tDtDnQdgm2LXpyiqYvZ6",
"contactId": "tDtDnQdgm2LXpyiqYvZ6"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({locationId: 'tDtDnQdgm2LXpyiqYvZ6', contactId: 'tDtDnQdgm2LXpyiqYvZ6'})
};
fetch('https://services.leadconnectorhq.com/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversations"
payload = {
"locationId": "tDtDnQdgm2LXpyiqYvZ6",
"contactId": "tDtDnQdgm2LXpyiqYvZ6"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"conversation": {
"id": "tDtDnQdgm2LXpyiqYvZ6",
"dateUpdated": "2023-10-01T12:00:00Z",
"dateAdded": "2023-10-01T12:00:00Z",
"deleted": false,
"contactId": "ve9EPM428kjkvShlRW1KT",
"locationId": "ve9EPM428kjkvShlRW1KT",
"lastMessageDate": "2023-10-01T12:00:00Z",
"assignedTo": "ve9EPM428kjkvShlRW1KT"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}